Choose right version

Please chose right version according your Minecraft version. Visible versions are for new Minecraft Launcher.

Have you not found required version? Then visit our archive | Don't own Minecraft? Get it here | EULA | Uninstall
Please note: Older versions may contain OpenCandy.